>From 9ec5a1edacc4345fc2488e099b406611886020a5 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Filip=20Ros=C3=A9en?= <filip@atch.se>
Date: Fri, 16 Dec 2016 13:38:57 +0100
Subject: [PATCH 4/8] gui/skins2: use ThemeLoader::unarchive

---
 modules/gui/skins2/src/theme_loader.cpp | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/modules/gui/skins2/src/theme_loader.cpp b/modules/gui/skins2/src/theme_loader.cpp
index f6c5f80690..a90047e098 100644
--- a/modules/gui/skins2/src/theme_loader.cpp
+++ b/modules/gui/skins2/src/theme_loader.cpp
@@ -299,11 +299,9 @@ bool ThemeLoader::extract( const std::string &fileName )
     if( tempPath.empty() )
         return false;
 
-    // Extract the file in a temporary directory
-    if( ! extractTarGz( fileName, tempPath ) &&
-        ! extractZip( fileName, tempPath ) )
+    if( unarchive( fileName, tempPath ) == false )
     {
-        deleteTempFiles( tempPath );
+        msg_Err( getIntf(), "extraction from %s failed", fileName.c_str() );
         return false;
     }
 
-- 
2.11.1

